Subject: Re: [RFC PATCH 1/2] Makefile: add check-headers target

From: Jeff King <[email-masked]>
Date: Sat, 6 Sep 2014 19:58:09 -0400

On Sat, Sep 06, 2014 at 03:57:39PM -0700, David Aguilar wrote:

> > This checks all .h files in the top directory.  Would it be better
> > to check all files in LIB_H instead?  Or even all .h files in the
> > tree (using "git ls-files '*.h'")?  The latter might be difficult
> > because some of the files in compat/ #include system-specific
> > headers.
> 
> Ah, I hadn't thought of using LIB_H; that might be the most
> practical solution.

Maybe not; see d85b0dff7297fb43a57a0c1e697417bb7723247c, which is in
'next'.

-Peff